"""Template tag to render SPA imports."""

from web.templatetags.spa_helper import register, spa_bundle

from plugin import registry

from ..ApprovalPlugin import ApprovalPlugin


@register.simple_tag
def approval_jsx():
    """Render SPA bundle."""
    plg = registry.get_plugin(ApprovalPlugin.SLUG)
    man_path = plg.path().joinpath("static/inventree_approval/manifest.json")

    return spa_bundle(
        manifest_path=man_path,
        app="inventree_approval",
    )
